// AFSKtestDlg.h : header file
//

#if !defined(AFX_AFSKTESTDLG_H__1C9B163B_C4B3_4066_91A4_2F1DF8F27930__INCLUDED_)
#define AFX_AFSKTESTDLG_H__1C9B163B_C4B3_4066_91A4_2F1DF8F27930__INCLUDED_

#include "SLIP.h"	// Added by ClassView
#include "PortSetting.h"	// Added by ClassView
#include "irscm_led.h"
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define  UNKNOWN_MODE			0x00
#define  SLIP_MODE				0x01
#define  CONFIG_MODE			0x02

/////////////////////////////////////////////////////////////////////////////
// CAFSKtestDlg dialog
#define MAX_DISPLAYLINES            11

class CAFSKtestDlg : public CDialog
{
// Construction
public:
	unsigned int m_RdRfChannel;
	unsigned int m_RdParity;
	unsigned int m_RdDataRate;
	unsigned int m_RdIdentify;
	void SetUnknownMode(void);
	unsigned int m_OpMode;
	void SetTestMode(void);
	void SetConfigMode(void);
	CIrsLed m_Leds;
	unsigned int m_RxNum;
	unsigned int m_TxNum;
	int m_EchoRunStop;
	unsigned short m_DaAddress;
	CPortSetting m_SettingDlg;
	CSLIP m_slip;
	CString RxData[MAX_DISPLAYLINES];
	CString TxData[MAX_DISPLAYLINES];
	void OnReceiveFrame(WPARAM len, LPARAM pFrame);
	void OnTxChar(WPARAM wParam,LPARAM lParam);
	void OnRxChar(WPARAM wParam, LPARAM lParam);
	CAFSKtestDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CAFSKtestDlg)
	enum { IDD = IDD_AFSKTEST_DIALOG };
	CButton	m_EchoButton;
	CButton	m_DefaultButton;
	CButton	m_ReadButton;
	CButton	m_WriteButton;
	CButton	m_SendButton;
	CButton	m_Led3OnButton;
	CButton	m_Led3OffButton;
	CButton	m_Led2OnButton;
	CButton	m_Led2OffButton;
	CButton	m_Led1OnButton;
	CButton	m_Led1OffButton;
	CIrsLed	m_Led3;
	CIrsLed	m_Led2;
	CIrsLed	m_Led1;
	CString	m_InputFrame;
	int		m_SelBaudRate;
	UINT	m_SelIdentify;
	int		m_SelRfChannel;
	int		m_SelParity;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAFSKtestDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CAFSKtestDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnResetrxcnt();
	afx_msg void OnResettxcnt();
	afx_msg void OnPortsetting();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnEchorequest();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnTestframe();
	afx_msg void OnLed1on();
	afx_msg void OnLed1off();
	afx_msg void OnLed2on();
	afx_msg void OnLed2off();
	afx_msg void OnLed3on();
	afx_msg void OnLed3off();
	afx_msg void OnRead();
	afx_msg void OnWrite();
	afx_msg void OnDefault();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_AFSKTESTDLG_H__1C9B163B_C4B3_4066_91A4_2F1DF8F27930__INCLUDED_)
